Skip to main content
POST
/
api
/
chat
/
overrideTimedWait
cURL
curl -X POST "https://app.cotool.ai/api/chat/overrideTimedWait" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"chatId":"string","toolCallId":"string"}'
import requests

url = "https://app.cotool.ai/api/chat/overrideTimedWait"

payload = {
"chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolCallId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chatId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', toolCallId: '<string>'})
};

fetch('https://app.cotool.ai/api/chat/overrideTimedWait', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/chat/overrideTimedWait")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"chatId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"toolCallId\": \"<string>\"\n}")
.asString();
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://app.cotool.ai/api/chat/overrideTimedWait"

payload := strings.NewReader("{\n \"chatId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"toolCallId\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "success": true,
  "message": "<string>"
}
{
"error": "<string>",
"issues": [
{}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"missingPerms": [
"<string>"
]
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Body

application/json

Request body for overriding a pending timed wait prompt from the UI

chatId
string<uuid>
required

Unique identifier of the chat with the pending timed wait

toolCallId
string
required

The tool call ID of the timed wait to override

Response

Successful response

Response indicating whether the timed wait was overridden

success
boolean
required

Whether the timed wait override was successfully processed

message
string

Error or status message